package de.ivu.elect.jee.protokollierung;

public class VorherNachherWert {

  private final AttributTyp typ;

  private final Object vorher;

  private final Object nachher;

  public VorherNachherWert(AttributTyp typ, Object vorher, Object nachher) {
    this.typ = typ;
    this.vorher = vorher;
    this.nachher = nachher;
  }

  public AttributTyp getTyp() {
    return typ;
  }

  public Object getVorher() {
    return vorher;
  }

  public Object getNachher() {
    return nachher;
  }

  @Override
  public String toString() {
    return "VorherNachherWert{" +
        "typ=" + typ +
        ", vorher=" + vorher +
        ", nachher=" + nachher +
        '}';
  }
}
